Subject: Re: bug#45098: 28.0.50; gnu-elpa: if user says `no' to install package, it aborts the previous function invoked

From: Jean Louis <[email-masked]>
Date: Wed, 9 Dec 2020 08:54:27 +0300

* Stefan Monnier <[email-masked]> [2020-12-09 02:52]:
> > Nagging user to install package does not tell to user that GNU ELPA
> > exists even.
> 
> The purpose is not to advertise the archive itself, but the features
> provided by the packages it hosts.
> 
> > - many users will not know what is this dialogue about. 
> 
> Yes, it's quite dry and deserves a fair bit of work to make it more
> user-friendly.
> 
> > - user will not know that package is supposed to come from Internet
> >   and those without Internet or in local network will be asked and
> >   then action cannot be performed. Do not assume that many people have
> >   Internet. GNU/Linux is installed on plethora of computers where
> >   students, professors, teachers use it without direct Internet.
> >   Make a check if Internet is available, then ask the user.
> 
> Yes and no: Emacs shouldn't initiate a network connection without an
> explicit request from the user, so we have to ask first.

It means then probably this way:

1. First ask user if to engage recommending various packages from GNU
ELPA. Program should also represent itself as being gnu-elpa
package. Since I have installed it I did not yet activate it as by
habit I may read package description later. But it activated itself
and so how I would know which package is doing these functions?
Without me remembering that I installed only that package I would now
know what is doing it. User would not be able to turn it off oneself
if there are many packages installed recently.

2. When confirmed, only then to start recommending packages and if not
confirmed then to remember the choice and stop nagging.